import {} from 'viem';
import { SessionKeyValidatorAbi } from '../abis/SessionKeyValidator.js';
import { SESSION_KEY_VALIDATOR_ADDRESS } from '../constants.js';
import { getSessionHash } from '../sessions.js';
import { writeContract } from './writeContract.js';
export async function revokeSessions(client, signerClient, publicClient, args, isPrivyCrossApp = false) {
    const { session } = args;
    const sessionHashes = typeof session === 'string'
        ? [session]
        : Array.isArray(session)
            ? session.map(sessionHash)
            : [getSessionHash(session)];
    const transactionHash = await writeContract(client, signerClient, publicClient, {
        account: client.account,
        chain: client.chain,
        address: SESSION_KEY_VALIDATOR_ADDRESS,
        abi: SessionKeyValidatorAbi,
        functionName: 'revokeKeys',
        args: [sessionHashes],
    }, isPrivyCrossApp);
    return { transactionHash };
}
function sessionHash(session) {
    if (typeof session === 'string') {
        return session;
    }
    return getSessionHash(session);
}
//# sourceMappingURL=revokeSessions.js.map